数据搜索系统,热门电子元器件搜索
  Chinese  ▼
ALLDATASHEETCN.COM

X  

XPL2010-331MLB 数据表 (PDF) - Coilcraft lnc.

XPL2010-331MLB Datasheet PDF - Coilcraft lnc.
部件名 XPL2010-331MLB
下载  XPL2010-331MLB 下载
文件大小   169.97 Kbytes
页   2 Pages
制造商  COILCRAFT [Coilcraft lnc.]
网页  http://www.coilcraft.com
标志 COILCRAFT - Coilcraft lnc.
功能描述 Power Inductors . XPL2010 Series

XPL2010-331MLB Datasheet (PDF)

Go To PDF Page 下载 数据表
XPL2010-331MLB Datasheet PDF - Coilcraft lnc.

部件名 XPL2010-331MLB
下载  XPL2010-331MLB Click to download

文件大小   169.97 Kbytes
页   2 Pages
制造商  COILCRAFT [Coilcraft lnc.]
网页  http://www.coilcraft.com
标志 COILCRAFT - Coilcraft lnc.
功能描述 Power Inductors . XPL2010 Series

XPL2010-331MLB 数据表 (HTML) - Coilcraft lnc.




类似零件编号 - XPL2010-331MLB

制造商部件名数据表功能描述
logo
Coilcraft lnc.
XPL2010-331ML COILCRAFT-XPL2010-331ML Datasheet
169Kb / 2P
Power Inductors
XPL2010-331ML COILCRAFT-XPL2010-331ML Datasheet
159Kb / 2P
Shielded Power Inductors
More results


类似说明 - XPL2010-331MLB

制造商部件名数据表功能描述
logo
List of Unclassifed Man...
RCH875 ETC1-RCH875 Datasheet
21Kb / 1P
RCH Series Power Inductors
logo
Bourns Electronic Solut...
SDR6603-221M BOURNS-SDR6603-221M Datasheet
344Kb / 2P
SDR6603 Series - SMD Power Inductors
SRP1270 BOURNS-SRP1270 Datasheet
288Kb / 3P
SRP1270 Series - Shielded Power Inductors
logo
Coilcraft lnc.
DO3316P-224MLB COILCRAFT-DO3316P-224MLB Datasheet
210Kb / 2P
SMT Power Inductors - DO3316P Series
DR0810 COILCRAFT-DR0810_13 Datasheet
255Kb / 2P
Power Inductors ??DR0810 Series
DR0608 COILCRAFT-DR0608_13 Datasheet
240Kb / 2P
Power Inductors ??DR0608 Series
DC1012 COILCRAFT-DC1012_13 Datasheet
193Kb / 2P
Power Inductors ??DC1012 Series
RFC1010 COILCRAFT-RFC1010_15 Datasheet
477Kb / 3P
Power Inductors ??RFC1010 Series
RFC0810 COILCRAFT-RFC0810_15 Datasheet
449Kb / 3P
Power Inductors ??RFC0810 Series
RFC0807 COILCRAFT-RFC0807_15 Datasheet
419Kb / 3P
Power Inductors ??RFC0807 Series
More results



链接网址



ALLDATASHEET是否为您带来帮助?  [ DONATE ] 

关于 Alldatasheet   |   广告服务   |   联系我们   |   隐私政策   |   数据表链接    |   链接交换   |   制造商名单
All Rights Reserved©Alldatasheet.com


Mirror Sites
English : Alldatasheet.com  |   English : Alldatasheet.net  |   Chinese : Alldatasheetcn.com  |   German : Alldatasheetde.com  |   Japanese : Alldatasheet.jp
Russian : Alldatasheetru.com  |   Korean : Alldatasheet.co.kr  |   Spanish : Alldatasheet.es  |   French : Alldatasheet.fr  |   Italian : Alldatasheetit.com
Portuguese : Alldatasheetpt.com  |   Polish : Alldatasheet.pl  |   Vietnamese : Alldatasheet.vn
Indian : Alldatasheet.in  |   Mexican : Alldatasheet.com.mx  |   British : Alldatasheet.co.uk  |   New Zealand : Alldatasheet.co.nz
Family Site : ic2ic.com  |   icmetro.com